#include <bits/stdc++.h>
#define all(x) (x).begin(),(x).end()
#define ll long long
using namespace std;
int nxt(){
    int x;
    cin>>x;
    return x;
}
int aps(int x){
    if(x<0) x=-x;
    return x;
}
int main()
{
    int a, b, c, d;
    cin>>a>>b>>c>>d;
    int j1=(a==c), j2=(b==d), x=aps(a-c), y=aps(b-d);
    if(j1){
        cout<<2;
        return 0;
    }
    if(j2){
        cout<<2;
        return 0;
    }
    if(x==y){
        cout<<1;
        return 0;
    }
    cout<<0;
    return 0;
}